import * as React from 'react';
import { Container, Menu, Sidebar, Segment, Icon } from 'semantic-ui-react';
import { Header } from './Header';
import { Footer } from './Footer';

import { Routes } from '../../../Routes';
import { Router } from 'react-router';
import * as History from 'history';

const history = History.createHashHistory();

export class Layout extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  render() {
    return (
      <div>
        <br />

        <Sidebar.Pushable as={Segment}  >
          <Sidebar
            as={Menu}
            animation='overlay'
            width='thin'
            direction='right'
            visible={this.state.notification_visible}
            icon='labeled'
            vertical
            inverted
          >
            <Menu.Item name='home'>
              <Icon name='home' />
              Home
            </Menu.Item>
            <Menu.Item name='gamepad'>
              <Icon name='gamepad' />
              Games
            </Menu.Item>
            <Menu.Item name='camera'>
              <Icon name='camera' />
              Channels
            </Menu.Item>
          </Sidebar>

          
          <Sidebar.Pusher >
            <Segment basic >
              <Header />
              <button placeholder='menu' onClick={() => {
                this.setState({ notification_visible: !this.state.notification_visible })
              }}> sidebar </button>
              <Container>
                <br />
                <Router history={history}>
                  <Routes />
                </Router>
              </Container>
              <br />
              <Footer />
            </Segment>
          </Sidebar.Pusher>
        </Sidebar.Pushable>


      </div>
    );
  }
}



